## cqrprop 0.0.5

=== Makefile ===
CC=lazbuild
ST=strip
datadir  = $(DESTDIR)/usr/share/cqrprop
bindir   = $(DESTDIR)/usr/bin
sharedir = $(DESTDIR)/usr/share
tmpdir   = /tmp

cqrprop: src/cqrprop.lpi
	$(CC) --ws=gtk2 --pcp=$(tmpdir)/.lazarus src/cqrprop.lpi
	$(ST) src/cqrprop
	gzip tools/cqrprop.1 -c > tools/cqrprop.1.gz

clean:
	rm -f -v src/*.o src/*.ppu src/*.bak src/cqrprop src/*.compiled src/*.or src/*.lrs src/*.a src/*.rst src/*.rsj src/*.lrt src/*.lps src/*.res
	rm -rf src/synapse/backup
	rm -rf src/backup
	rm -rf src/lib
	rm -f -v tools/cqrprop.1.gz

install:
	install -d -v         $(bindir)
	install -d -v         $(sharedir)/pixmaps/cqrprop
	install -d -v         $(sharedir)/icons
	install -d -v         $(sharedir)/applications
	install -d -v         $(sharedir)/man/man1
	install    -v -m 0755 src/cqrprop $(bindir)
	install    -v -m 0644 tools/cqrprop.1.gz $(sharedir)/man/man1/cqrprop.1.gz
	install    -v -m 0644 tools/cqrprop.desktop $(sharedir)/applications/cqrprop.desktop
	install    -v -m 0644 images/cqrprop.png $(sharedir)/pixmaps/cqrprop/cqrprop.png
	install    -v -m 0644 images/cqrprop.png $(sharedir)/icons/cqrprop.png

=== debian/changelog ===
cqrprop (0.0.5-1~mx17+1) mx; urgency=medium

  * Rebuild for MX 17.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 13 May 2019 15:16:35 -0700

cqrprop (0.0.5-1~xenial) xenial; urgency=low

  * windows was still on top - fixed

 -- Petr Hlozek <petr@ok2cqr.com>  Mon, 08 Oct 2018 19:00:15 +0100

cqrprop (0.0.4-1) unstable; urgency=low

  * HiDPI support added
  * openssl-1.1.0 support added

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 31 Dec 2017 08:09:11 +0100

cqrprop (0.0.3-1) unstable; urgency=low

  * configurable delay before first image download added

 -- Petr Hlozek <petr@ok2cqr.com>  Sun, 20 Nov 2016 16:37:00 +0100

cqrprop (0.0.2-1) unstable; urgency=low

  * the old image is diplayed when new is downloaded
  * window position is saved after the end of move

 -- Petr Hlozek <petr@ok2cqr.com>  Fri, 5 Aug 2016 17:16:00 +0100

cqrprop (0.0.1-1) unstable; urgency=low

  * first release

 -- Petr Hlozek <petr@ok2cqr.com>  Thu, 4 Aug 2016 13:12:00 +0100

=== debian/control ===
Source: cqrprop
Section: hamradio
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Petr Hlozek <petr@ok2cqr.com>
Build-Depends: debhelper (>= 10),
               lazarus,
               lcl,
               fp-utils (>= 3.0.4),
               fp-units-misc (>= 3.0.4),
               fp-units-gfx (>= 3.0.4),
               fp-units-gtk2 (>= 3.0.4),
               fp-units-db (>= 3.0.4),
               fp-units-math (>= 3.0.4),
               fp-units-net (>= 3.0.4)
Standards-Version: 3.9.7
Homepage: http://www.ok7an.com

Package: cqrprop
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libssl-dev
Description: Shows propagation data provided by Paul, N0NBH
 Shows propagation data provided by Paul, N0NBH on the Linux desktop. The
 source page of the propagation images is http://www.hamqsl.com/solar.html

=== debian/watch ===
version=3
https://github.com/ok2cqr/cqrprop/tags .*/v(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
